Bug 1647597 - EPEL7 - python3-yamlordereddictloader won't install on RHEL 7.6
Summary: EPEL7 - python3-yamlordereddictloader won't install on RHEL 7.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-yamlordereddictloader
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: greg.hellings
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: EPEL7-Deps
TreeView+ depends on / blocked
 
Reported: 2018-11-07 21:12 UTC by Troy Dawson
Modified: 2019-01-08 02:02 UTC (History)
1 user (show)

Fixed In Version: python-yamlordereddictloader-0.4.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-08 02:02:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Troy Dawson 2018-11-07 21:12:45 UTC
Current python3-yamlordereddictloader for EPEL7 (python3-yamlordereddictloader-0.3.0-1.el7) requires
  libzmq.so.4()(64bit)
zeromq in EPEL7 was updated to zeromq-4.1.4-5.el7 which containers
  libzmq.so.5()(64bit)

Please fix this package so that it can be installed in RHEL 7.6.
If you have not responded in a week, we will have a proven packager fix it.
If you know you will not be able to get to it and would like it fixed sooner, please let us know in this bug.
If you feel this package should no longer be in EPEL7, please let us know in this bug.

Comment 1 Troy Dawson 2018-11-07 21:14:33 UTC
I'm sorry, bad cut and paste.

Current python3-yamlordereddictloader for EPEL7 (python3-yamlordereddictloader-0.3.0-1.el7) requires
  python3-PyYAML
python3 PyYAML in EPEL7 was updated to
  python34-PyYAML

Comment 2 Troy Dawson 2018-12-18 15:15:58 UTC
Since I haven't heard anything, I'm going to work on this.

Comment 3 greg.hellings 2018-12-18 15:27:39 UTC
It looks like the proper method is to replace "python3-" in the spec file with "%{python3_pkgversion}" and not hard-code in the values: https://fedoraproject.org/wiki/PackagingDrafts:Python3EPEL

Comment 4 greg.hellings 2018-12-18 15:28:03 UTC
Also, my apologies for missing the original notifications for this bug.

Comment 5 Troy Dawson 2018-12-18 15:31:47 UTC
Not a problem.  Sometimes notifications get missed.
I have already pushed my change, but it sounds like yours is the correct change.  So please, feel free to overwrite what I just did.

Comment 6 Fedora Update System 2018-12-18 20:14:58 UTC
python-yamlordereddictloader-0.4.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-5aa25c28e2

Comment 7 Fedora Update System 2018-12-19 00:47:47 UTC
python-yamlordereddictloader-0.4.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-5aa25c28e2

Comment 8 Fedora Update System 2019-01-08 02:02:37 UTC
python-yamlordereddictloader-0.4.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.